#!/bin/bash
# For this build script to work properly the following must be true:
#   - This script is run from it's contianing directory.
#   - This containing directory is directly under your scratchbox home directory. 
#   - Under this script's contianing directory is a tarball of the stock 2.6.28 kernel.
#
# Here is a direct link to the tarball:
#   http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.28.tar.bz2
#
# The build will produce a directory called kernel-bfs-build (directly under your scratchbox home
# directory) which will contain the debs for the kernel.
#
set -e

rm -rf ../kernel-bfs-build
mkdir -p ../kernel-bfs-build/git_master/
tar -jxf linux-2.6.28.tar.bz2 -C ../kernel-bfs-build/
git archive master | tar -x -C ../kernel-bfs-build/git_master/

cd ../kernel-bfs-build && (
    cp -r git_master/kernel-bfs-2.6.28/debian linux-2.6.28/
    /scratchbox/login <<BUILD
    cd kernel-bfs-build/linux-2.6.28
    DEB_BUILD_OPTIONS="parallel=4" dpkg-buildpackage -r"fakeroot -u" -uc -us -nc
BUILD
);

